Subject: 27.0.50; cl-flet, cl-labels and lambda expressions

From: Michael Heerdegen <[email-masked]>
Date: Fri, 15 Feb 2019 03:09:17 +0100

Hi,

two related little issues:

1.  `cl-flet's edebug spec only works with one allowed syntax, when all
bindings look like (FUNC ARGLIST BODY...).  The second possible syntax
(FUNC EXP) makes edebug barf, no edebugging possible :-(

2.  `cl-labels' doesn't allow expressions evaluating to functions.  But
I think we could allow lambda expressions.  Seems this would not even be
hard to do: the macro constructs a lambda expression anyway (if we do
this, we should take care of the edebug spec as well).  Oh - why I want
this?  Just a matter of taste, I just prefer a lambda expression to the
(FUNC ARGLIST BODY...) syntax.  And I think a (FUNC (lambda ...))
syntax would still be in line with the semantics.

What do you think?

Regards,

Michael.